Preview model

Prev Next

Available in Classic and VPC

Preview the operation status of the body model you created.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
POST /api/v1/products/{product-id}/apis/{api-id}/models/preview

Request headers

For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
product-id String Required Product ID that the API belongs to
api-id String Required ID of the API whose model you want to preview

Request syntax

The request syntax is as follows.

{
  "modelId" : "modelId",
  "modelSchema" : "modelSchema"
}

Request body

The following describes the request body.

Field Type Required Description
modelId String Optional Target model ID
  • See View model
  • modelSchema String Required Schema of the defined model
  • See View model
  • Request example

    The following is a sample request.

    curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/models/preview' \
    --header 'x-ncp-apigw-timestamp: {Timestamp}' \
    --header 'x-ncp-iam-access-key: {Access Key}' \
    --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
    --header 'Content-Type: application/json' \
    --data '{
      "modelId" : "qw33h0i33i",
      "modelSchema" : "{\n  \"type\": \"object\",\n  \"properties\": {\n    \"apiKeyDescription\": { \"type\": \"string\" },\n    \"apiKeyId\": { \"type\": \"string\" },\n    \"apiKeyName\": { \"type\": \"string\" }\n  },\n  \"description\": \"model description\"\n}\n"
    }'
    

    Response

    The following describes the response format.

    Response syntax

    The response syntax is as follows.

    {
      "modelSchema" : {}
    }
    

    Response status codes

    For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.

    Response example

    The following is a sample response.

    {
        "modelSchema": {
            "type": "object",
            "properties": {
                "apiKeyDescription": {
                    "type": "string"
                },
                "apiKeyId": {
                    "type": "string"
                },
                "apiKeyName": {
                    "type": "string"
                }
            },
            "description": "model description"
        }
    }